summaryrefslogtreecommitdiff
path: root/sys-apps
diff options
context:
space:
mode:
authorV3n3RiX <venerix@redcorelinux.org>2017-07-14 16:22:08 +0100
committerV3n3RiX <venerix@redcorelinux.org>2017-07-14 16:22:08 +0100
commit016446aec6dfb2246ab95858d1fd8598303f265d (patch)
treea4b029ac2c571c2e18aeedde0ecea0d8856ec74b /sys-apps
parent4d16425482921c82fc913cefa85472beb88da1fa (diff)
sys-apps/v86d : import from portage tree
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/v86d/Manifest1
-rw-r--r--sys-apps/v86d/v86d-0.1.10.ebuild56
2 files changed, 57 insertions, 0 deletions
diff --git a/sys-apps/v86d/Manifest b/sys-apps/v86d/Manifest
new file mode 100644
index 00000000..43007ca8
--- /dev/null
+++ b/sys-apps/v86d/Manifest
@@ -0,0 +1 @@
+DIST v86d-0.1.10.tar.bz2 69819 SHA256 634964ae18ef68c8493add2ce150e3b4502badeb0d9194b4bd81241d25e6735c SHA512 db30156ac07a69e16e60c123a0b7fdc85ce3a3a826021230ae3af073428634b3d4c3a9be37971bb77d80e3b543494d258c86e41d81261821bcde2afe018aa392 WHIRLPOOL ea6d0b8ec5b3855e50c05b2303683389567ad184fb8f2079192ab2749b836958a0900ae57bebfc7bde47c776a74081fd792dee4454fee994c40c93f346965085
diff --git a/sys-apps/v86d/v86d-0.1.10.ebuild b/sys-apps/v86d/v86d-0.1.10.ebuild
new file mode 100644
index 00000000..8cd85d8d
--- /dev/null
+++ b/sys-apps/v86d/v86d-0.1.10.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=2
+
+inherit eutils flag-o-matic linux-info multilib
+
+DESCRIPTION="A daemon to run x86 code in an emulated environment"
+HOMEPAGE="https://dev.gentoo.org/~spock/projects/uvesafb/"
+SRC_URI="https://dev.gentoo.org/~spock/projects/uvesafb/archive/${P/_/-}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="debug x86emu"
+
+DEPEND="dev-libs/klibc"
+RDEPEND=""
+
+S="${WORKDIR}/${P//_*/}"
+
+pkg_setup() {
+ linux-info_pkg_setup
+}
+
+src_prepare() {
+ if [ -z "$(grep V86D ${ROOT}/usr/$(get_libdir)/klibc/include/linux/connector.h)" ]; then
+ eerror "You need to compile klibc against a kernel tree patched with uvesafb"
+ eerror "prior to merging this package."
+ die "Kernel not patched with uvesafb."
+ fi
+}
+
+src_configure() {
+ ./configure --with-klibc $(use_with debug) $(use_with x86emu) || die
+}
+
+src_compile() {
+ # Disable stack protector, as it does not work with klibc (bug #346397).
+ filter-flags -fstack-protector -fstack-protector-all
+ emake KDIR="${KV_DIR}" || die
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die
+
+ dodoc README ChangeLog
+
+ insinto /usr/share/${PN}
+ doins misc/initramfs
+}
+
+pkg_postinst() {
+ elog "If you wish to place v86d into an initramfs image, you might want to use"
+ elog "'/usr/share/${PN}/initramfs' in your kernel's CONFIG_INITRAMFS_SOURCE."
+}